commit:     88916a1ebd27aeae7d6dc6d6d5739f8521af5329
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Tue Sep 21 21:39:45 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Sep 24 07:21:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88916a1e

dev-libs/libtpms: Bump to 0.8.7

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/libtpms/Manifest                          |  1 +
 .../files/libtpms-0.8.7-Remove-WError.patch        | 13 ++++++
 dev-libs/libtpms/libtpms-0.8.7.ebuild              | 47 ++++++++++++++++++++++
 3 files changed, 61 insertions(+)

diff --git a/dev-libs/libtpms/Manifest b/dev-libs/libtpms/Manifest
index 5afffbf543e..d341cd25e0a 100644
--- a/dev-libs/libtpms/Manifest
+++ b/dev-libs/libtpms/Manifest
@@ -1 +1,2 @@
 DIST libtpms-0.8.6.tar.gz 1255964 BLAKE2B 
44d9b1f78944ede5842b3cbef09900899f53ba3525e63f09de8263b9c1878a889db80eaf3ba35334a2233334bcb4ebd03d2bb841e4184059f9a155ad4a2aa244
 SHA512 
d57d52d140d582a6a7d2146aa9a10445c5c50807da53b26f6efbb8632ac83afa3c67e1a47ffa6a898a45cbac3aff199fe61947d69bc5af727e9623564bac45d8
+DIST libtpms-0.8.7.tar.gz 1256807 BLAKE2B 
d3630ece39a78dcc99d15ad603eec5c3d858d1d0c928ae2d3ae5ad5e4d419e186fa23b25ad15824806838401aac33e7224d7cc7ce6fb79647500d4b3a3871223
 SHA512 
061ec66bbeee9838f12c6a9724ba953cd604981148d6f3a8ebe444e89e59b228b763d8f98c55d67b9477277ccbf9987f2e5632d1b518e78d182f5d7066020ed4

diff --git a/dev-libs/libtpms/files/libtpms-0.8.7-Remove-WError.patch 
b/dev-libs/libtpms/files/libtpms-0.8.7-Remove-WError.patch
new file mode 100644
index 00000000000..54b7150cfbd
--- /dev/null
+++ b/dev-libs/libtpms/files/libtpms-0.8.7-Remove-WError.patch
@@ -0,0 +1,13 @@
+diff --git a/configure.ac b/configure.ac
+index 180bcc0..2efb801 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -311,7 +311,7 @@ if test "x$enable_hardening" != "xno"; then
+       AC_SUBST([HARDENING_LDFLAGS])
+ fi
+ 
+-CFLAGS="$CFLAGS $COVERAGE_CFLAGS -Wall -Werror -Wreturn-type -Wsign-compare 
-Wno-self-assign"
++CFLAGS="$CFLAGS $COVERAGE_CFLAGS -Wall -Wreturn-type -Wsign-compare 
-Wno-self-assign"
+ CFLAGS="$CFLAGS -Wmissing-prototypes -Wno-deprecated-declarations"
+ LDFLAGS="$LDFLAGS $COVERAGE_LDFLAGS"
+ 

diff --git a/dev-libs/libtpms/libtpms-0.8.7.ebuild 
b/dev-libs/libtpms/libtpms-0.8.7.ebuild
new file mode 100644
index 00000000000..3e913f4e034
--- /dev/null
+++ b/dev-libs/libtpms/libtpms-0.8.7.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Library providing software emultion of a TPM"
+HOMEPAGE="https://github.com/stefanberger/libtpms";
+SRC_URI="https://github.com/stefanberger/libtpms/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+DEPEND="dev-libs/openssl:="
+RDEPEND="${DEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.8.7-Remove-WError.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --with-openssl
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       if [[ ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 
0.8.0; then
+               elog "Versions of libtpms prior to 0.8.0 generate weaker than 
expected TPM 2.0 RSA"
+               elog "keys due to a flawed key creation algorithm. Because 
fixing this would render"
+               elog "existing sealed data inaccessible, to use the corrected 
algorithm, the old"
+               elog "TPM state file must be deleted and a new TPM state file 
created. Data still"
+               elog "sealed using the old state file will be permanently 
inaccessible. For the"
+               elog "details see 
https://github.com/stefanberger/libtpms/issues/183";
+       fi
+}

Reply via email to